{% extends 'base.html.twig' %}

{% block title %}Autores{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="../assets/main.css">
{% endblock%}
{% block body %}
    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>
    <div class="example-wrapper">
        <h1>Autores</h1>
        {{form_start(form_autores,{'attr':{'id':'form_autores'},})}}
        {{form_widget(form_autores)}}
        {{form_end(form_autores)}}
        
        {% if libros is not defined %}
            <ul>
                {% for autor in autores %}
                    <li>
                        <h3>{{autor.autor}}</h3>
                        {% for libro in autor.idLibro%}
                            <a href="{{path("libro_detail",{'id':libro.idLibro})}}">{{libro.titulo}}</a>
                        {% endfor %}
                    </li>
                {% endfor %}
            </ul>
        {% else %}
            <div class="container">
                {% for libro in libros %}
                    <div class="card" style="width: 18rem;">
                        <img src="data:image/jpg;base64,{{fotos[libro.idLibro]}}" class="card-img-top" alt="...">
                        <div class="card-body">
                            <h5 class="card-title">{{libro.titulo}}</h5>
                            <p class="card-text">
                            <ul>
                                <li>Autor:
                                    {% for autor in libro.idAutor %}
                                        {{autor.autor}}
                                    {% endfor %}    
                                </li>
                                <li>Editorial:
                                    {{libro.idEditorial.editorial}}
                                </li>
                                <li>Año Publicación: {{libro.anio}}</li>
                            </ul>
                            </p>
                            <a href="{{path('libro_detail',{'id':libro.idLibro})}}" class="btn btn-primary">Ver detalles</a>
                        </div>
                    </div>
                {%endfor%}
            </div>
        {% endif%}
        
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        $('#form_autores').change(function () {
            this.submit();
        });
    </script>
{% endblock%}
